   Short description of the Cogitatio project

   Copyright (C) 2002, 2003 Csillag Kristo'f

   Copyright (C) 2002, 2003 Csillag Kristo'f

   This document introduces the upcoming Cogitatio project, the cause
of the birth of the project, and some goals of the project. This can be
considered a project proposal.

   Of course all comments, ideas and contributions are highly
appreciated.  If you are interested, do not hesitate to contact me at
fenwick@freemail.hu

   This information is also available in the following formats: HTML
for online browsing, downloadable HTML tarball, PostScript, DPF

   For more information please go to the project's homepage:

   `http://www.nongnu.org/cogitatio'

   Developer information is available at
`http://savannah.gnu.org/projects/cogitatio/'

Introduction
************

   During my past years I took part in numerous debates about several
different things. I talked with friends, I participated on mailing
lists, I posted messages on bulletin boards.

   I find it a terribly distressing thing to experience that sometimes
people are totally unable to efficiently discuss some issues. And this
happens quite often, especially when we are talking about complex
topics involving a significant amount of background information, a lot
of different presumptations and more than one, possibly (at least
partly) conflicting aspects. (Politics, moral and philosophical matters
are good examples.) People can easily talk-and-talk-and-talk to each
other without getting any closer to a conclusion, or even understanding
each other's thoughts.

   I think one of the reasons of this phenomenon can be that most
humans are not quite capable of quickly memorising a seemingly
unrelated set of facts and/or arguments, and to considering them
simultaneously, constantly keeping in mind all important relations.

   What we usually do is some random roam in the wood of thoughts; we
consider some of them and totally ignore others. This approach might be
adequate for solving simple every-day problems, but it is a totally
impossible to resolve really complex matters this way.

   Of course there are those situations when both sides of the hassle
are damned sure that they are right, and their only purpose is to beat
the crap out of the others. It's not a big surprise that when you are
talking someone with this attitude of mind, your words probably don't
make any difference.

   But on the other hand, there are those situations when both sides
are open-minded, both sides try to do some thinking, and still, it's
often a very-very-hard task to see through the matter.

   An other distressing thing is that in the history of humanity the
same disputes happen again and again, at lots of different times and
places. Some people make some good points, some people come closer to
the truth... but from humanity's point of view, eventually most of the
results are lost! Most of the results are burried in the minds of the
participants. Some people write books to present their acquired
knowledge... but it's not easy to transmit knowledge this way,
especially if the coming generations are not willing to read all the
books written before them.

   I think that the vast majority of the debates does not use any
previous results, but try to start the whole thing from the beginning.
These attempts usually fail on obstacles which have been resolved a
long time ago.

   The knowledge is not retined, at least not in a form that would be
easily available.

   In order to try to do something about this, I have decided to desing
and implement a software-system that cal

  1. Help people discussing things

  2. Store these discussions (and past discussions) for future reference

Ideas
*****

   Here are some random ideas about the project.

  1. The project should be Free Software, licensed under the *GNU GPL*.

  2. The project should make it possible to present opinions, ideas,
     thoughts in a structured and sorted manner. I do not mean an AI
     system here; the role of the computer would be only to administer
     things.

  3. The project should make it possible to simultaneously present
     conflicting arguments, together with their reflections to each
     other.

  4. The created data-base should have a multi-user interface (for
     example via a web portal), which should make users able to add
     their thoughs/opinions/points to the database. The difference
     between this and simple internet forums (such as bulletin boards)
     would be that everything must be presented in a logical structure.

  5. It should be able to somehow visualise the system of arguments
     about a specific matter, with all the relations between the
     points. (More than one different presentation could exist.)

  6. The thoughts of all previous thinkers and philosophers should be
     presented. (Yes, I know, it will take decades of work...)

   Of course this is all very fuzzy right now. Everything here is
subject to change.

Issues
******

   There are many issues that I want to discuss using this system.
(Basically, everything!) Here are some examples:

  1. Why should software have no owners? - The philosophy of Free
     Software

  2. The political situation in the world and in my home country
     (Hungary, Europe)

  3. Some moral and philosophical questions (like abortion, etc...)

Project status
**************

   Right now this is only a proposal, but I am quite determined to do
some serious work.

   If it works, and I can get enough people to work on the database, I
hope that this project may help us to make our communication more
efficient.

   Project roadmap:
  1. conduct some intenet-research

  2. consult experts

  3. collect more data, read books, etc

  4. evaluate available software and design options and standards,
     collect ideas

  5. design data-structure and develop the necessary algorithms for
     handling it

  6. implement the knowledge data-base kernel

  7. implement the knowledge server

  8. design the needed algoritms for communicating with users

  9. implement the user interfaces

 10. load some useful (example) information to the database

 11. make people use the system

 12. process and present the thoughts and arguments of late thinkers
     and philosophers

   Currently I am between the first and the second step. :)

   But 10 years from now you might find that all important discussions
take place on the internet, hosted on public servers using the results
of this project :))

   After spending one day with thinking about this project, once I had
a dream. I was in some kind of cyber-space, and I walked along
thought-paths! I could see the interlocked arguments, and different
opinions as road forks... it was wonderful!

   I want to make it real.